import javax.servlet.FilterChain; 
import javax.servlet.FilterConfig; 
import javax.servlet.ServletRequest; 
import javax.servlet.ServletResponse;  
   
public class GenericFilter implements javax.servlet.Filter { 
    private FilterConfig filterConfig; 
    
    public void doFilter(final ServletRequest request, final ServletResponse response, FilterChain chain) throws java.io.IOException, 
            javax.servlet.ServletException { 
        chain.doFilter(request, response); 
    } 
    
    public FilterConfig getFilterConfig() { 
        return filterConfig; 
    } 
    
    
    public void init(FilterConfig config) { 
        this.filterConfig = config; 
    } 
    
    public void destroy() { 
        this.filterConfig = null; 
    } 
} 
